KDE 4.2 PyKDE API Reference

- KDE's Python API

# PredicateProperties Class Reference

`from PyKDE4.kio import *`

## Detailed Description

A predicate is part of the RDF trinity: subject, predicate, object. It is identified by URI and it defines the type of the relationship. For file metadata, a predicate can be seen as a fieldname. It has a data type, a description, a short id, a cardinality

## Enumerations

Attributes | { Addable, Removable, Modifiable, Cumulative, Averaged, MultiLine, SqueezeText }

## Methods

| __init__ (self, QString predicate=QString())
| __init__ (self, PredicateProperties p)
long | attributes (self)
QValidator | createValidator (self)
QString | description (self)
bool | isValid (self)
QString | key (self)
long | maxCardinality (self)
long | minCardinality (self)
QString | name (self)
PredicateProperties | parent (self)
QStringList | suggestedValues (self)
QVariant.Type | type (self)
QString | unit (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | predicate=QString()
| ) |  |  |

__init__ | ( | self, |
|  | PredicateProperties | p
| ) |  |  |

long attributes | ( |  | self ) |

Get the attributes of this group (see Attributes)

Returns:
  the attributes

QValidator createValidator | ( |  | self ) |

QString description | ( |  | self ) |

Localized description of the predicate.

bool isValid | ( |  | self ) |

QString key | ( |  | self ) |

Key associated with this value.

long maxCardinality | ( |  | self ) |

long minCardinality | ( |  | self ) |

QString name | ( |  | self ) |

Localized name of the predicate.

PredicateProperties parent | ( |  | self ) |

QStringList suggestedValues | ( |  | self ) |

QVariant.Type type | ( |  | self ) |

The type for this field.

QString unit | ( |  | self ) |

Return a url that identifies the unit in which this property is expressed.

## Enumeration Documentation

Attributes

This enum is used to specify some attributes that an item can have, which fit neither in the Hint nor in the Unit enum.

Enumerator:

  Addable = 1 The item or group can be added by a user < p> |
  Removable = 2 It can be removed < p> |
  Modifiable = 4 The value can be edited (no meaning for a group) < p> |
  Cumulative = 8 If an application wants to display information for more than one file, it may add up the values for this item (e.g. play time of an mp3 file) < p> |
  Averaged = 16 Similar to Cumulative, but the average should be calculated instead of the sum < p> |
  MultiLine = 32 This attribute says that a string item is likely to be more than one line long, so for editing, a widget capable for multline text should be used < p> |
  SqueezeText = 64 If the text for this item is very long, it should be squeezed to the size of the widget where it's displayed < p> |